<template>
    <div class="hexagon" :class="{ active: check }" @click="$emit('click')">
        <template>{{ name }}</template>
    </div>
</template>

<script lang="ts">
import { Component, Prop, Vue, Watch } from 'vue-property-decorator';

@Component
export default class CircleCheckButton extends Vue {
    @Prop({ type: Boolean }) check!: boolean;
    @Prop({ default: '' })
    readonly name!: string;
    @Watch('check')
    onChangeData(newVal: boolean) {
        if (newVal) {
            this.$emit('change', !this.check);
        }
    }
}
</script>

<style scoped>
.hexagon {
    cursor: pointer;
    width: 55px;
    height: 55px;
    /* clip-path: polygon(50% 0%, 100% 25%, 100% 75%, 50% 100%, 0% 75%, 0% 25%); */
    clip-path: circle(35% at 49% 50%);
    background-color: #ffffff;
    border-color: #feca38;
    outline-color: #feca38;
    border-style: none;
    border-width: 10px;
    color: #72727f;
    display: flex;
    justify-content: center;
    align-items: center;
}

.active {
    background-color: #feca38;
    color: black;
}
</style>
